## cynthiune.app 0.9.5

=== debian/changelog ===
cynthiune.app (0.9.5-14build1) raring; urgency=low

  * Rebuild for gnustep-gui 0.22 transition.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 21 Nov 2012 16:47:54 +0100

cynthiune.app (0.9.5-14) unstable; urgency=low

  * debian/patches/gcc-4.7.patch: New; fixes FTBFS with GCC-4.7 (Closes:
    #667867).
  * debian/patches/libmusicbrainz5.patch: New; port to libmusicbrainz5
    (Closes: #656604).
  * debian/patches/link-libs.patch: Fix FTBFS with ld --as-needed, thanks
    Colin Watson (Closes: #633543).
  * debian/patches/series: Update.
  * debian/source/format: Switch to 3.0 (quilt).
  * debian/README.source: Delete; redundant.
  * debian/control (Build-Depends): Remove quilt.  Replace
    libmusicbrainz4-dev with libmusicbrainz5-dev.  Add dpkg-dev (>=
    1.16.1~), for hardening support.
    (Vcs-Arch, Vcs-Git, Vcs-Browser): Switch from Arch to Git.
    (Standards-Version): Bump to 3.9.3; no changes needed.
  * debian/rules: Don't include /usr/share/quilt/quilt.make, eliminate
    patch/unpatch dependencies.  Enable hardening.
    (binary-arch): Remove GS_USE_FHS conditional.  Invoke dh_lintian.
  * debian/preinst: Delete; no longer needed.
  * debian/lintian-overrides: New file, override some hardening false
    positives.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 04 Jun 2012 14:08:37 +0300

cynthiune.app (0.9.5-13.1) unstable; urgency=low

  * Non-maintainer upload.
  * Prevent FTBFS with audiofile's latest 0.3.x series by relying on
    pkg-config for gathering the building flags instead of the no longer
    provided audiofile-config tool (Closes: #654766).

 -- Alessio Treglia <alessio@debian.org>  Fri, 27 Jan 2012 00:51:15 +0100

cynthiune.app (0.9.5-13) unstable; urgency=medium

  * debian/control (Build-Depends): Remove libartsc0-dev (Closes:
    #620583).
  * debian/rules (build-stamp, install): Pass `disable-arts=yes'.
  * debian/patches/compilation-errors.patch: Minor change to fix FTBFS
    with GCC 4.5 (Closes: #618211)

 -- Yavor Doganov <yavor@gnu.org>  Tue, 19 Apr 2011 19:33:41 +0300

cynthiune.app (0.9.5-12) unstable; urgency=low

  * debian/patches/ALSA.patch: Adjust makefile conditional to actually
    build the bundle on armel and powerpcspe (Really closes: #576228).

 -- Yavor Doganov <yavor@gnu.org>  Tue, 21 Sep 2010 22:43:29 +0300

cynthiune.app (0.9.5-11) unstable; urgency=low

  * debian/patches/ALSA.patch: New; implement an ALSA output bundle and
    make it the default on GNU/Linux (Closes: #576228).
  * debian/patches/kfreebsd-OSS-default.patch: Remove, default now handled
    with the above patch.
  * debian/patches/series: Update.
  * debian/control (Build-Depends): Add libasound2-dev [linux-any].
    (Standards-Version): Set to 3.9.1 (no changes needed).
  * debian/copyright: Update copyright holders/years.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 03 Sep 2010 18:49:41 +0300

cynthiune.app (0.9.5-10) unstable; urgency=low

  * debian/patches/compilation-errors.patch: Fix FTBFS with
    gnustep-gui/0.18.0 (Closes: #581925).
  * debian/rules (OPTFLAG, CFLAGS, CCFLAGS): Remove; rework noopt handling
    to be compatible with gnustep-make/2.4.x (Closes: #581924).
  * debian/control (Standards-Version): Bump to 3.8.4 (no changes needed).
    (Description): Make it less ridiculous.
  * debian/source/format: New file.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 18 May 2010 18:40:29 +0300

cynthiune.app (0.9.5-9) unstable; urgency=low

  * debian/patch/WindowsMedia.patch: Fix FTBFS on 64-bit archs.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 21 Dec 2009 20:17:55 +0200

cynthiune.app (0.9.5-8) unstable; urgency=low

  * debian/compat: Set to 7.
  * debian/control: Wrap all fields for diff-friendliness.
    (Uploaders): Remove Gürkan upon his request, add myself.
    (Section): Set to `gnustep' to match the override.
    (Build-Depends): Require debhelper >= 7.  Drop gnustep-make.  Remove
    ancient versioned dependencies on libgnustep-gui-dev, libmodplug-dev,
    libflac-dev, libaudiofile-dev.  Add quilt and imagemagick.  Require
    limpcdec-dev >= 2:0.1~r435 and avifile >= 1:0.7.48~20090503.ds.
    (Depends): Add ${gnustep:Depends} and ${misc:Depends}.
    (Vcs-Arch): New field.
    (Standards-Version): Claim compliance to 3.8.3 as of this upload.
  * debian/patches/series:
  * debian/patches/Bundles-install-dir.patch:
  * debian/patches/FLAC-1.2-new-API.patch:
  * debian/patches/compilation-errors.patch: New, split existing patches
    from the diff.gz.
  * debian/patches/link-libs.patch: New, link the framework and all
    bundles properly, avoiding undefined symbols and unnecessary
    dependencies.
  * debian/patches/WindowsMedia.patch: New, fixes FTBFS of the Windows
    Media bundle.
  * debian/patches/compilation-warnings.patch: New.
  * debian/patches/kfreebsd-OSS-default.patch: New.  Let
    -[GeneralPreference _initDefaults] create the default output bundle to
    be OSS on GNU/kFreeBSD too; this fixes some unpleasant glitches with
    the fallback Esound bundle.
  * debian/patches/Musepack-new-API.patch: New, adapt to the new libmpcdec
    API (Closes: #476381).  Previously the app died with SIGFPE when
    adding a SV8 file to the playlist.
  * debian/rules: Include quilt.make and update targets accordingly.
    (OPTFLAG, CFLAGS, CCFLAGS): Define conditionally (support for `noopt'
    in DEB_BUILD_OPTIONS).
    (LDFLAGS): Define to `-Wl,-z,defs -Wl,--as-needed
    -Wl,-rpath,/usr/lib/cynthiune.app'.
    (d_app): Define for convenience.  All uses updated.
    (windowsmedia): Re-enable the bundle on all architectures.
    (build-stamp): Pass OPTFLAG, CFLAGS, CCFLAGS, LDFLAGS  and
    messages=yes to make.  Convert the app icon in XPM format; the one
    provided in the tarball is low quality.
    (clean-patched): Delete the generated icon.  Remove upstream clean
    target; distclean is sufficient.
    (install): Install our XPM icon.  Replace `dh_clean -k' with
    `dh_prep'.  Install libCynthiune as a private library; fixes a policy
    violation.

