=== debian/control ===
Source: cynthiune.app
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Yavor Doganov <yavor@gnu.org>
Build-Depends: debhelper (>= 7),
	       dpkg-dev (>= 1.16.1~),
	       libesd0-dev,
	       libgnustep-gui-dev,
	       libvorbis-dev,
	       libmad0-dev,
	       libid3tag0-dev,
	       libmodplug-dev,
	       libflac-dev,
	       libaudiofile-dev,
	       libtagc0-dev,
	       libavifile-0.7-dev (>= 1:0.7.48~20090503.ds),
	       libmusicbrainz5-dev,
	       libmpcdec-dev (>= 2:0.1~r435),
	       libasound2-dev [linux-any],
	       pkg-config,
	       imagemagick
Vcs-Git: git://git.debian.org/pkg-gnustep/cynthiune.app.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/cynthiune.app.git
Standards-Version: 3.9.3
Homepage: http://organact.mine.nu/~wolfgang/cynthiune/

Package: cynthiune.app
Architecture: any
Depends: ${shlibs:Depends},
	 ${gnustep:Depends},
	 ${misc:Depends}
Description: Music player for GNUstep
 Cynthiune is a free software, romantic and extensible music player for
 GNUstep and Mac OS X. Similar in look and feel to XMMS, it can read the
 most-known sound file formats: MP3, Ogg, FLAC, Mod, XM, AIFF, WAV and many
 more...
 .
 Very easy to use, it integrates well with the GNUstep desktop environment and
 shows a nice example of a cross-platform OpenStep application.
