=== debian/watch ===
version=3
http://organact.mine.nu/~wolfgang/cynthiune/Cynthiune-(.*)\.tar\.gz
