## cynthiune.app 1.0.0

=== debian/changelog ===
cynthiune.app (1.0.0-1build2) wily; urgency=medium

  * No-change rebuild against libmusicbrainz5-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 14 Aug 2015 18:38:58 +0000

cynthiune.app (1.0.0-1build1) vivid; urgency=medium

  * Rebuild against libmusicbrainz5-1.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Dec 2014 11:57:30 +0000

cynthiune.app (1.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #745751):
    - Compatible with gnustep-gui/0.24 (Closes: #749738).
  * debian/watch: Update for the new upstream location (Closes: #745750).
  * debian/patches/ALSA.patch:
  * debian/patches/Bundles-install-dir.patch:
  * debian/patches/compilation-errors.patch:
  * debian/patches/compilation-warnings.patch:
  * debian/patches/FLAC-1.2-new-API.patch:
  * debian/patches/gcc-4.7.patch:
  * debian/patches/libmusicbrainz5.patch:
  * debian/patches/link-libs.patch.patch:
  * debian/patches/Musepack-new-API.patch:
  * debian/patches/use-pkg-config.patch:
  * debian/patches/WindowsMedia.patch: Remove; all merged upstream.
  * debian/patches/check-return-value.patch: New; fixes compiler warnings
    with -Wunused-result.
  * debian/patches/alsa-check-pcm-state.patch: New; fixes a bug where a
    new song cannot be played immediately if one is already playing.
  * debian/patches/gui0.24.patch: New; some final bits for #749738.
  * debian/patches/series: Update.
  * debian/compat: Set to 9.
  * debian/control (Build-Depends): Add libao-dev.  Require
    libgnustep-gui-dev (>= 0.24) and debhelper (>= 9); remove version
    requirements for libavifile-dev and libmpcdec-dev.  Remove dpkg-dev.
    (Homepage): Update.
    (Vcs-Git): Use the canonical URI.
    (Standards-Version): Compliant with 3.9.6 as of this release.
  * debian/rules: Rewrite for modern dh.
  * debian/install: New file.
  * debian/Cynthiune.desktop: Add Keywords field and Exec code.
  * debian/copyright: Switch to format 1.0, add more copyright holders.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 23 Oct 2014 09:17:32 +0300
