=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: cynthiune.app
 Section: gnustep
 Priority: optional
-Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
 Uploaders: Yavor Doganov <yavor@gnu.org>
-Build-Depends: debhelper (>= 7),
-	       dpkg-dev (>= 1.16.1~),
+Build-Depends: debhelper (>= 9),
 	       libesd0-dev,
-	       libgnustep-gui-dev,
+	       libao-dev,
+	       libgnustep-gui-dev (>= 0.24),
 	       libvorbis-dev,
 	       libmad0-dev,
 	       libid3tag0-dev,
@@ -14,16 +15,16 @@
 	       libflac-dev,
 	       libaudiofile-dev,
 	       libtagc0-dev,
-	       libavifile-0.7-dev (>= 1:0.7.48~20090503.ds),
+	       libavifile-0.7-dev,
 	       libmusicbrainz5-dev,
-	       libmpcdec-dev (>= 2:0.1~r435),
+	       libmpcdec-dev,
 	       libasound2-dev [linux-any],
 	       pkg-config,
 	       imagemagick
-Vcs-Git: git://git.debian.org/pkg-gnustep/cynthiune.app.git
+Vcs-Git: git://anonscm.debian.org/pkg-gnustep/cynthiune.app.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/cynthiune.app.git
-Standards-Version: 3.9.3
-Homepage: http://organact.mine.nu/~wolfgang/cynthiune/
+Standards-Version: 3.9.6
+Homepage: http://gap.nongnu.org/cynthiune/
 
 Package: cynthiune.app
 Architecture: any
